Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.contentassist
Class ATestProposalProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
          org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
              org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
                  org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
                      org.eclipse.amp.amf.abase.ui.contentassist.ABaseProposalProvider
                          org.eclipse.amp.amf.testing.ui.contentassist.AbstractATestProposalProvider
                              org.eclipse.amp.amf.testing.ui.contentassist.ATestProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class ATestProposalProvider

extends AbstractATestProposalProvider

see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#contentAssist on how to customize content assistant

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

Constructor Summary
`ATestProposalProvider()`

Method Summary

Methods inherited from class org.eclipse.amp.amf.testing.ui.contentassist.AbstractATestProposalProvider
`complete_Constraint, complete_Measure, complete_Model, complete_TestMember, complete_Tests, completeConstraint_Agent, completeConstraint_Attribute, completeConstraint_MaxValue, completeConstraint_Measure, completeConstraint_MinValue, completeConstraint_Qualifier, completeModel_Contains, completeModel_Contraints, completeModel_Description, completeModel_Name, completeModel_Tests, completeTestMember_ImportURI, completeTests_ImportURI`

Methods inherited from class org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
`complete_BOOLEAN, complete_BooleanValue, complete_DESC_STRING, complete_INTEGER, complete_IntValue, complete_REAL, complete_RealValue, complete_StringValue, complete_Value, completeBooleanValue_Value, completeIntValue_Value, completeRealValue_Value, completeStringValue_Value`

Methods inherited from class org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
`complete_ANY_OTHER, complete_ID, complete_INT, complete_ML_COMMENT, complete_SL_COMMENT, complete_STRING, complete_WS, doCreateIdProposals, doCreateIntProposals, doCreateStringProposals`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestProposalProvider

    public ATestProposalProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD